.projects {
  padding: 32px;
  background-color: #222;
  color: #fff;
}

.projects__container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: 24px;
}

.projects__item {
  background-color: #333;
  padding: 16px;
  border-radius: 8px;
  text-align: center;
  transition: transform 0.3s ease;
}

.projects__title {
  font-size: 20px;
  margin-bottom: 12px;
  color: #fff;
}

.projects__description {
  font-size: 16px;
  margin-bottom: 16px;
  color: #aaa;
}

.projects__link {
  text-decoration: none;
  color: #1e90ff;
  font-weight: bold;
  border: 1px solid #1e90ff;
  padding: 8px 16px;
  border-radius: 4px;
  transition: background-color 0.3s ease, color 0.3s ease;
}

@media (min-width: 700px) {
  body {
    align-items: center;
  }

  .projects {
    background-color: #22222281;
    border-radius: 5px;
    width: 90%;
  }
}

@media (min-width: 1000px) {
  .projects__item:hover {
    transform: translateY(-10px);
  }

  .projects__link:hover {
    background-color: #1e90ff;
    color: #fff;
  }
}